
module("CharacterSystem", package.seeall)

-- avoid memory leak
collectgarbage("setpause", 100)
collectgarbage("setstepmul", 5000)

function startAnimation(charName, animName, isRepeat, isReverse, isFlip, times)
	local gameScreen = GameScreen:getCurrentGameScreen()
	if gameScreen ~= nil then
		local tileMap = gameScreen:getTiledMap()
		if tileMap ~= nil then
			local character = nil
			if charName == "" then
				character = tileMap:getSelectedCharacter()
			else
				character = tileMap:getCharacter(charName)
			end
			if character ~= nil then
				character:startAnimation(animName, isRepeat, isReverse, isFlip, times)
			end
		end
	end
end

function resumeAnimation(charName)
	local gameScreen = GameScreen:getCurrentGameScreen()
	if gameScreen ~= nil then
		local tileMap = gameScreen:getTiledMap()
		if tileMap ~= nil then
			local character = nil
			if charName == "" then
				character = tileMap:getSelectedCharacter()
			else
				character = tileMap:getCharacter(charName)
			end
			if character ~= nil then
				character:resumeAnimation()
			end
		end
	end
end

function stopAnimaiton(charName)
	local gameScreen = GameScreen:getCurrentGameScreen()
	if gameScreen ~= nil then
		local tileMap = gameScreen:getTiledMap()
		if tileMap ~= nil then
			local character = nil
			if charName == "" then
				character = tileMap:getSelectedCharacter()
			else
				character = tileMap:getCharacter(charName)
			end
			if character ~= nil then
				character:stopAnimation()
			end
		end
	end
end
