
module("DropSystem", package.seeall)

-- avoid memory leak
collectgarbage("setpause", 100)
collectgarbage("setstepmul", 5000)

function dropBonus(name, point, index)
	local gameScreen = GameScreen:getCurrentGameScreen()
	if gameScreen ~= nil then
		local tiledMap = gameScreen:getTiledMap()
		if tiledMap ~= nil then
			local bonusManager = tiledMap:getBonusManager()
			if bonusManager ~= nil then
				bonusManager:dropBonus(name, point, index)
			end
		end
	end
end

function dropBonusList(array, point)
	if array == nil or type(array) ~= "table" then
		return
	end
	local gameScreen = GameScreen:getCurrentGameScreen()
	if gameScreen ~= nil then
		local tiledMap = gameScreen:getTiledMap()
		if tiledMap ~= nil then
			local bonusManager = tiledMap:getBonusManager()
			if bonusManager ~= nil then
				for i,v in ipairs(array) do
					if type(v) == "string" then
						bonusManager:dropBonus(v, point, i-1)
					end
				end
			end
		end
	end
end
