
module("LightSystem", package.seeall)

-- avoid memory leak
collectgarbage("setpause", 100)
collectgarbage("setstepmul", 5000)

function getLightManager()
	local gameScreen = GameScreen:getCurrentGameScreen()
	if gameScreen then
		local tileMap = gameScreen:getTiledMap()
		if tileMap ~= nil then
			return tileMap:getLightManager()
		end
	end
	return nil
end

function show(value, duration)
	local lightMgr = getLightManager()
	if lightMgr ~= nil then
		if type(value) == "string" then
			lightMgr:showLight(value, duration)
		elseif type(value) == "table" then
			for i,v in ipairs(value) do
				if type(v) == "string" then
					lightMgr:showLight(v, duration)
				end
			end
		end
	end
end

function hide(value, duration)
	local lightMgr = getLightManager()
	if lightMgr ~= nil then
		if type(value) == "string" then
			lightMgr:hideLight(value, duration)
		elseif type(value) == "table" then
			for i,v in ipairs(value) do
				if type(v) == "string" then
					lightMgr:hideLight(v, duration)
				end
			end
		end
	end
end
