module("Log", package.seeall)

-- avoid memory leak
collectgarbage("setpause", 100)
collectgarbage("setstepmul", 5000)

-- global variable
gFontLabel = nil

-- x,y: 0.0-1.0
local function showLabelWithRelativePos(text, x, y)
	if gFontLabel == nil then
--		gFontLabel = CCLabelTTF:labelWithString("", "Arial", 20)
--		local winSize = CCDirector:sharedDirector():getWinSize()
--		gFontLabel:setPosition(CCPoint(winSize.width * x, winSize.height * y))
--		CCDirector:sharedDirector():getRunningScene():addChild(gFontLabel)

		local gameScreen = GameScreen:getCurrentGameScreen()
		if gameScreen == nil then
			return
		end

		local labelSize = CCSizeMake(CCDirector:sharedDirector():getWinSize().width * 0.8, 200.0);
		gFontLabel = CCLabelTTF:labelWithString("", labelSize, 0, "Arial", 20)
		
		local winSize = CCDirector:sharedDirector():getWinSize()
		gFontLabel:setPositionX(winSize.width * x)
		gFontLabel:setPositionY(winSize.height * y)
		gameScreen:addChild(gFontLabel, 1000)
	end
	gFontLabel:setString(text)
end

function log(text)
	showLabelWithRelativePos(text, 0.5, 0.1) 
end
