
module("MindBubble", package.seeall)

require("L10N")

-- avoid memory leak
collectgarbage("setpause", 100)
collectgarbage("setstepmul", 5000)


function getInGameMenu()
	local gameScreen = GameScreen:getCurrentGameScreen()
	if gameScreen then
		return gameScreen:getInGameMenu()
	end
end

function addMessage(message, leftSprite, rightSprite)
	local menu = getInGameMenu()
	if menu ~= nil then
		local idx = L10N.idx4key(message)
 		if ( idx ~= nil ) then
 			menu:addMindMessageLocalized(idx, leftSprite, rightSprite)
 		else
 			menu:addMindMessage(message, leftSprite, rightSprite)
 		end

	end
end

function addLeftMessage(message, spriteName)
	addMessage(message, spriteName, "")
end

function addRightMessage(message, spriteName)
	addMessage(message, "", spriteName)
end

function show()
	local menu = getInGameMenu()
	if menu ~= nil then
		menu:showMindBubble()
	end	
end
