
module("PlatformSystem", package.seeall)

-- avoid memory leak
collectgarbage("setpause", 100)
collectgarbage("setstepmul", 5000)

function getPlatform(name)
	local gameScreen = GameScreen:getCurrentGameScreen()
	if gameScreen then
		local tileMap = gameScreen:getTiledMap()
		if tileMap ~= nil then
			return tileMap:getMovingPlatform(name)
		end
	end
	return nil
end

function enable(name)
	local object = getPlatform(name)
	if object ~= nil then
		object:setEnable(true)
	end
end

function disable(name)
	local object = getPlatform(name)
	if object ~= nil then
		object:setEnable(false)
	end
end
