
module("Tutorial", package.seeall)

-- avoid memory leak
collectgarbage("setpause", 100)
collectgarbage("setstepmul", 5000)

function showMarkerByInterface(path, angle, pointRelative)
	local marker = Marker:createByInterface(path, pointRelative, angle)
	if marker ~= nil then
		marker:start()
	end
	return marker
end

function showMarkerByObject(path, angle, object)
	local marker = Marker:createByObject(path, angle, object)
	if marker ~= nil then
		marker:start()
	end
	return marker
end

function showMarkerByBuilding(path, angle, building)
	local marker = Marker:createByBuilding(path, angle, building)
	if marker ~= nil then
		marker:start()
	end
	return marker
end

function hideMarker(marker)
	if marker ~= nil then
		if marker:getParent() ~= nil then
			marker:removeFromParentAndCleanup(true)
		end
		marker:release()
	end
end
